/*                               -*- Mode: C -*- 
 * oprs-com.h -- 
 * 
 * Copyright (C) 1997-2012 LAAS/CNRS
 * 
 * Author          : Francois Felix Ingrand
 * Created On      : Fri Nov 28 15:38:33 1997
 * Last Modified By: Francois Felix Ingrand
 * Last Modified On: Wed Jun 10 09:14:15 1998
 * Update Count    : 15
 * Status          : OK
 * 
 * $Id$
 */

#ifndef INCLUDE_genom_oprs_com
#define INCLUDE_genom_oprs_com

struct mod {		/* Module structure */
     Symbol name;		/* this particular instance name (a symbol) */
     Symbol generic_name;	/* the generic module name (a symbol) */
     genom_client genom_client;
     const struct genom_client_info *genom_client_info;
     PBoolean initialized;
     OPRS_LIST rqst_instance_list;
     HASH rqst_type_hash;
     HASH poster_hash;
};

extern HASH mod_hash;

#endif
